## org.biojava.bio.program.ssaha
Class SequenceStreamer.FileStreamer

    java.lang.Object
      org.biojava.bio.program.ssaha.SequenceStreamer.FileStreamer

All Implemented Interfaces:
  SequenceStreamer

Enclosing interface:
  SequenceStreamer

    public static class SequenceStreamer.FileStreamer

extends Object
implements SequenceStreamer

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.ssaha.SequenceStreamer
`SequenceStreamer.FileStreamer, SequenceStreamer.SequenceDBStreamer`

Constructor Summary
`SequenceStreamer.FileStreamer(SequenceFormat format, SymbolTokenization toke, File f)`
`SequenceStreamer.FileStreamer(SequenceFormat format, SymbolTokenization toke, List files)`

Method Summary
`boolean` `hasNext()`
`void` `reset()`
`void` `streamNext(SeqIOListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceStreamer.FileStreamer

    public SequenceStreamer.FileStreamer(SequenceFormat format,
                                         SymbolTokenization toke,
                                         List files)

### SequenceStreamer.FileStreamer

    public SequenceStreamer.FileStreamer(SequenceFormat format,
                                         SymbolTokenization toke,
                                         File f)

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SequenceStreamer`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `SequenceStreamer`

### streamNext

    public void streamNext(SeqIOListener listener)
                    throws BioException,
                           IOException

  Specified by:
    `streamNext` in interface `SequenceStreamer`
  Throws:
    `BioException`
    `IOException`